/**Begin D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_PERFORMANCEINT')
 CREATE TABLE T_TDCS_PERFORMANCEINT (
FID BIGINT DEFAULT 0 NOT NULL,
FPERFFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_PERFACTEVALUATE')
 CREATE TABLE T_TDCS_PERFACTEVALUATE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTIVITYNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FCYCLEID BIGINT DEFAULT 0 NOT NULL,
FCYCLETYPEID BIGINT DEFAULT 0 NOT NULL,
FASSESSMODENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSESSMODEID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FGRADE VARCHAR(100) DEFAULT ' ' NOT NULL,
FRANK INT DEFAULT 0 NOT NULL,
FDESCRPITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_PERFACTIVITY')
 CREATE TABLE T_TDCS_PERFACTIVITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FPARTICIPATEDATE DATETIME,
FASSESSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FACTUALPARTDATE DATETIME,
FACTSTARTDATE DATETIME,
FACTENDDATE DATETIME,
FASSESSMODE BIGINT DEFAULT 0 NOT NULL,
FCYCLETYPEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
