﻿/**Begin D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
 EXEC P_ALTERPK 'PK_TDCS_SUCPTARGET', 'T_TDCS_SUCPTARGET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTARGET_NUM') CREATE INDEX IDX_TDCS_SUCPTARGET_NUM ON T_TDCS_SUCPTARGET ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTARGET_ORG') CREATE INDEX IDX_TDCS_SUCPTARGET_ORG ON T_TDCS_SUCPTARGET ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTARGET_ADMORG') CREATE INDEX IDX_TDCS_SUCPTARGET_ADMORG ON T_TDCS_SUCPTARGET ( FADMINORGID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPTARGET_L', 'T_TDCS_SUCPTARGET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTARGET_L') CREATE INDEX IDX_TDCS_SUCPTARGET_L ON T_TDCS_SUCPTARGET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPTYPEMUL', 'T_TDCS_SUCPTYPEMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTYPEMUL') CREATE INDEX IDX_TDCS_SUCPTYPEMUL ON T_TDCS_SUCPTYPEMUL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETPOSMUL', 'T_TDCS_TARGETPOSMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETPOSMUL') CREATE INDEX IDX_TDCS_TARGETPOSMUL ON T_TDCS_TARGETPOSMUL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETJOBMUL', 'T_TDCS_TARGETJOBMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETJOBMUL') CREATE INDEX IDX_TDCS_TARGETJOBMUL ON T_TDCS_TARGETJOBMUL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETADDPOSMUL', 'T_TDCS_TARGETADDPOSMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETADDPOSMUL') CREATE INDEX IDX_TDCS_TARGETADDPOSMUL ON T_TDCS_TARGETADDPOSMUL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETPOSENTRY', 'T_TDCS_TARGETPOSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETPOSENTRY') CREATE INDEX IDX_TDCS_TARGETPOSENTRY ON T_TDCS_TARGETPOSENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETJOBENTRY', 'T_TDCS_TARGETJOBENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETJOBENTRY') CREATE INDEX IDX_TDCS_TARGETJOBENTRY ON T_TDCS_TARGETJOBENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_TARGETADDPOSENTRY', 'T_TDCS_TARGETADDPOSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TARGETADDPOSENTRY') CREATE INDEX IDX_TDCS_TARGETADDPOSENTRY ON T_TDCS_TARGETADDPOSENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPTYPE', 'T_TDCS_SUCPTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTYPE_NUM') CREATE INDEX IDX_TDCS_SUCPTYPE_NUM ON T_TDCS_SUCPTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_SUCPTYPE_L', 'T_TDCS_SUCPTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPTYPE_L') CREATE INDEX IDX_TDCS_SUCPTYPE_L ON T_TDCS_SUCPTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPSOURCE', 'T_TDCS_SUCPSOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPSOURCE_NUM') CREATE INDEX IDX_TDCS_SUCPSOURCE_NUM ON T_TDCS_SUCPSOURCE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_SUCPSOURCE_L', 'T_TDCS_SUCPSOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPSOURCE_L') CREATE INDEX IDX_TDCS_SUCPSOURCE_L ON T_TDCS_SUCPSOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPREMOVETYPE', 'T_TDCS_SUCPREMOVETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPREMOVETYPE_NUM') CREATE INDEX IDX_TDCS_SUCPREMOVETYPE_NUM ON T_TDCS_SUCPREMOVETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_SUCPREMOVETYPE_L', 'T_TDCS_SUCPREMOVETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPREMOVETYPE_L') CREATE INDEX IDX_TDCS_SUCPREMOVETYPE_L ON T_TDCS_SUCPREMOVETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPREADY_L', 'T_TDCS_SUCPREADY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPREADY_L') CREATE INDEX IDX_TDCS_SUCPREADY_L ON T_TDCS_SUCPREADY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPECHELONHIS', 'T_TDCS_SUCPECHELONHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELONHIS_NUM') CREATE INDEX IDX_TDCS_SUCPECHELONHIS_NUM ON T_TDCS_SUCPECHELONHIS ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_SUCPECHELONHIS_L', 'T_TDCS_SUCPECHELONHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELONHIS_L') CREATE INDEX IDX_TDCS_SUCPECHELONHIS_L ON T_TDCS_SUCPECHELONHIS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPECHELON', 'T_TDCS_SUCPECHELON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELON_EMP') CREATE INDEX IDX_TDCS_SUCPECHELON_EMP ON T_TDCS_SUCPECHELON ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELON_TAL') CREATE INDEX IDX_TDCS_SUCPECHELON_TAL ON T_TDCS_SUCPECHELON ( FTALENTFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELON_TAR') CREATE INDEX IDX_TDCS_SUCPECHELON_TAR ON T_TDCS_SUCPECHELON ( FSUCPTARGETID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELON_REA') CREATE INDEX IDX_TDCS_SUCPECHELON_REA ON T_TDCS_SUCPECHELON ( FREADYID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPECHELON_L', 'T_TDCS_SUCPECHELON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPECHELON_L') CREATE INDEX IDX_TDCS_SUCPECHELON_L ON T_TDCS_SUCPECHELON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_SUCPADDPOS', 'T_TDCS_SUCPADDPOS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPADDPOS_NUM') CREATE INDEX IDX_TDCS_SUCPADDPOS_NUM ON T_TDCS_SUCPADDPOS ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_SUCPADDPOS_L', 'T_TDCS_SUCPADDPOS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_SUCPADDPOS_L') CREATE INDEX IDX_TDCS_SUCPADDPOS_L ON T_TDCS_SUCPADDPOS_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
